<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [BladeburnerActionName](./bitburner.bladeburneractionname.md)

## BladeburnerActionName type


**Signature:**

```typescript
export type BladeburnerActionName =
  | BladeburnerGeneralActionName
  | BladeburnerContractName
  | BladeburnerOperationName
  | BladeburnerBlackOpName;
```
**References:** [BladeburnerGeneralActionName](./bitburner.bladeburnergeneralactionname.md)<!-- -->, [BladeburnerContractName](./bitburner.bladeburnercontractname.md)<!-- -->, [BladeburnerOperationName](./bitburner.bladeburneroperationname.md)<!-- -->, [BladeburnerBlackOpName](./bitburner.bladeburnerblackopname.md)

